{"models":[{"endpoint_id":"argil/avatars/text-to-video","metadata":{"display_name":"Avatars Text to Video","category":"text-to-video","description":"High-quality avatar videos that feel real, generated from your text","status":"active","tags":[],"updated_at":"2026-08-20T22:03:48.807Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f939c/qxEjoZW0MWzptt2r_-QcP_rpdWjdHD.png","model_url":"https://fal.run/argil/avatars/text-to-video","license_type":"commercial","date":"2025-09-01T09:50:49.180Z","group":{"key":"argil-avatar","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for argil/avatars/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the argil/avatars/text-to-video queue.","x-fal-metadata":{"endpointId":"argil/avatars/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f939c/qxEjoZW0MWzptt2r_-QcP_rpdWjdHD.png","playgroundUrl":"https://fal.ai/models/argil/avatars/text-to-video","documentationUrl":"https://fal.ai/models/argil/avatars/text-to-video/api","about":"Text-to-video endpoint that converts text to speech using ElevenLabs API\nand then follows the same flow as audio-to-video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"AvatarsTextToVideoInput":{"title":"TextToVideoRequest","type":"object","properties":{"text":{"examples":["\nArgil is kinda crazy guys! You just turn a real person into \nan avatar that actually talks and moves and it's already reel-ready, \nfor TikTok, Shorts, whatever. No wasting hours editing, it still looks super pro.\n"],"title":"Text","type":"string"},"voice":{"enum":["Rachel","Clyde","Roger","Sarah","Laura","Thomas","Charlie","George","Callum","River","Harry","Liam","Alice","Matilda","Will","Jessica","Lilly","Bill","Oxley","Luna"],"title":"Voice","type":"string"},"remove_background":{"title":"Remove Background","type":"boolean","description":"Enabling the remove background feature will result in a 50% increase in the price.","default":false},"avatar":{"enum":["Mia outdoor (UGC)","Lara (Masterclass)","Ines (UGC)","Maria (Masterclass)","Emma (UGC)","Sienna (Masterclass)","Elena (UGC)","Jasmine (Masterclass)","Amara (Masterclass)","Ryan podcast (UGC)","Tyler (Masterclass)","Jayse (Masterclass)","Paul (Masterclass)","Matteo (UGC)","Daniel car (UGC)","Dario (Masterclass)","Viva (Masterclass)","Chen (Masterclass)","Alex (Masterclass)","Vanessa (UGC)","Laurent (UGC)","Noemie car (UGC)","Brandon (UGC)","Byron (Masterclass)","Calista (Masterclass)","Milo (Masterclass)","Fabien (Masterclass)","Rose (UGC)"],"title":"Avatar","type":"string","examples":["Noemie car (UGC)"]}},"x-fal-order-properties":["avatar","text","voice","remove_background"],"required":["avatar","text","voice"]},"AvatarsTextToVideoOutput":{"title":"InferenceResult","type":"object","properties":{"moderation_transcription":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Moderation Transcription"},"moderation_error":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Moderation Error"},"moderation_flagged":{"title":"Moderation Flagged","type":"boolean","default":false},"video":{"anyOf":[{"$ref":"#/components/schemas/Video"},{"type":"null"}],"examples":[{"url":"https://argildotai.s3.us-east-1.amazonaws.com/fal-resource/example_fal.mp4"}]}},"x-fal-order-properties":["video","moderation_flagged","moderation_transcription","moderation_error"]},"Video":{"title":"Video","type":"object","properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"]}}},"paths":{"/argil/avatars/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/argil/avatars/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/argil/avatars/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvatarsTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/argil/avatars/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvatarsTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/bernini-r/text-to-video","metadata":{"display_name":"Bernini-R Text to Video","category":"text-to-video","description":"Generate high-quality video from a text prompt with Bernini-R, ByteDance's unified video generation and editing model.","status":"deprecated","tags":["text-to-video","cinematic"],"updated_at":"2026-11-02T21:33:01.991Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9d8204/OiKWO51vPgqD1ig4wZk8R_54d4adc0062f4b389933c71a4bcb826b.jpg","model_url":"https://fal.run/fal-ai/bernini-r/text-to-video","license_type":"commercial","date":"2026-06-08T19:16:50.872Z","group":{"key":"bernini-r","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/bernini-r/text-to-video","version":"1.0.0","description":"Bernini R turns a text prompt into a high-quality video. It is ByteDance's unified model for generating and editing video, so the same family that restyles and edits clips also generates them from scratch with strong prompt control.","x-fal-metadata":{"endpointId":"fal-ai/bernini-r/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9d8204/OiKWO51vPgqD1ig4wZk8R_54d4adc0062f4b389933c71a4bcb826b.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/bernini-r/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/bernini-r/text-to-video/api","about":"Text To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"BerniniRTextToVideoInput":{"required":["prompt"],"properties":{"negative_prompt":{"title":"Negative Prompt","description":"Negative prompt. Defaults to the standard Wan2.2 negative prompt.","anyOf":[{"type":"string"},{"type":"null"}]},"frames_per_second":{"default":16,"title":"Frames Per Second","maximum":30,"description":"Output frames per second.","minimum":4,"type":"integer"},"aspect_ratio":{"default":"16:9","enum":["16:9","9:16","1:1"],"description":"Output aspect ratio.","title":"Aspect Ratio","type":"string"},"prompt":{"title":"Prompt","description":"Text prompt or editing instruction.","examples":["A cute corgi leaping in a sunny park, Van Gogh oil-painting style."],"type":"string"},"num_frames":{"default":81,"title":"Num Frames","maximum":121,"description":"Number of frames. Snapped internally to 4k+1.","minimum":5,"type":"integer"},"num_inference_steps":{"default":30,"title":"Num Inference Steps","maximum":50,"description":"Number of denoising steps.","minimum":1,"type":"integer"},"seed":{"title":"Seed","description":"Seed for reproducibility. Random when omitted.","anyOf":[{"type":"integer"},{"type":"null"}]},"acceleration":{"default":"none","enum":["none","regular"],"description":"Acceleration level. 'regular' enables MagCache step-skipping for faster generation at a small quality cost; 'none' (default) runs the full denoising schedule.","title":"Acceleration","type":"string"},"enable_prompt_expansion":{"default":false,"title":"Enable Prompt Expansion","description":"Rewrite the prompt with an LLM before generation. The model is tuned on enhanced prompts; off by default.","type":"boolean"},"max_image_size":{"default":848,"title":"Max Image Size","maximum":1280,"description":"Long-edge size (px). Sets the output size for generation tasks and caps source/reference media for editing tasks.","minimum":256,"type":"integer"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","type":"boolean"}},"title":"TextToVideoInput","x-fal-order-properties":["prompt","negative_prompt","num_inference_steps","max_image_size","seed","enable_prompt_expansion","num_frames","frames_per_second","acceleration","aspect_ratio","enable_safety_checker"],"type":"object"},"BerniniRTextToVideoOutput":{"required":["video","seed"],"properties":{"video":{"description":"Generated / edited video.","$ref":"#/components/schemas/File"},"actual_prompt":{"title":"Actual Prompt","description":"The final prompt after expansion (set only when prompt expansion ran).","anyOf":[{"type":"string"},{"type":"null"}]},"seed":{"title":"Seed","description":"Seed used for generation.","type":"integer"}},"title":"VideoOutput","x-fal-order-properties":["video","seed","actual_prompt"],"type":"object"},"File":{"required":["url"],"properties":{"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/bernini-r/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bernini-r/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/bernini-r/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BerniniRTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/bernini-r/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BerniniRTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/multishot-master","metadata":{"display_name":"Multishot Master","category":"text-to-video","description":"MultiShotMaster is a controllable multi-shot narrative video generation framework that supports text-driven inter-shot consistency, variable shot counts and shot durations, customized subject with motion control, and background-driven customized scene.","status":"deprecated","tags":["text-to-video","multi-shot"],"updated_at":"2026-05-26T23:02:58.621Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8fcff7/QhDSLUuNs_tNXH-EmoI9Q_5a919a68470d429cb098f2bdace1ae1b.jpg","model_url":"https://fal.run/fal-ai/multishot-master","license_type":"commercial","date":"2026-02-24T22:08:00.879Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/cosmos-predict-2.5/distilled/text-to-video","metadata":{"display_name":"Cosmos Predict 2.5 2B Distilled","category":"text-to-video","description":"Generate video from text and videos using NVIDIA's 2B Cosmos Distilled Model","status":"deprecated","tags":[],"updated_at":"2026-10-27T22:39:08.398Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8fcd34/55UUeIF8a-m4smQXoKCjL_fd4ca83217174939851697df18067550.jpg","model_url":"https://fal.run/fal-ai/cosmos-predict-2.5/distilled/text-to-video","license_type":"commercial","date":"2026-02-24T20:05:10.049Z","group":{"key":"cosmos-2.5","label":"Text to Video (Distilled)"},"highlighted":false,"kind":"inference","duration_estimate":2,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/cosmos-predict-2.5/distilled/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/cosmos-predict-2.5/distilled/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/cosmos-predict-2.5/distilled/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8fcd34/55UUeIF8a-m4smQXoKCjL_fd4ca83217174939851697df18067550.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/distilled/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/distilled/text-to-video/api","about":"Generate a video from a text prompt using the distilled Cosmos Predict 2.5 2B model (faster, text-only)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"CosmosPredict25DistilledTextToVideoInput":{"required":["prompt"],"type":"object","title":"DistilledTextToVideoInput","x-fal-order-properties":["prompt","negative_prompt","num_frames","num_inference_steps","seed","sync_mode","video_output_type","video_quality","enable_safety_checker"],"properties":{"negative_prompt":{"default":"The video captures a series of frames showing ugly scenes, static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, artifacting, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, visual noise, and flickering. Overall, the video is of poor quality.","title":"Negative Prompt","description":"A negative prompt to guide generation away from undesired content.","type":"string"},"num_frames":{"default":93,"title":"Number of Frames","maximum":93,"description":"Number of frames to generate. Must be between 9 and 93.","minimum":9,"type":"integer"},"prompt":{"title":"Prompt","description":"The text prompt describing the video to generate.","examples":["A static, locked-off camera frames an industrial conveyor belt steadily transporting rough rocks through a dimly lit quarry processing facility. The belt runs horizontally across the center of the frame, its thick black rubber surface textured with dust and fine gravel. Jagged gray and brown stones of varying sizes tumble forward in a slow, continuous motion, their sharp edges catching the light. Subtle vibrations ripple through the belt’s surface as small pebbles bounce and shift. In the background, blurred steel beams, pipes, and muted industrial machinery create depth without distraction. Cool, diffused overhead lighting casts soft shadows and highlights the gritty textures, emphasizing dust particles in the air and the raw, rugged surfaces of the rocks."],"type":"string"},"num_inference_steps":{"default":10,"title":"Num Inference Steps","maximum":20,"description":"Number of denoising steps. Distilled model works well with fewer steps.","minimum":1,"type":"integer"},"seed":{"title":"Seed","description":"Random seed for reproducible generation.","anyOf":[{"type":"integer"},{"type":"null"}]},"sync_mode":{"default":false,"title":"Sync Mode","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean"},"video_quality":{"default":"high","title":"Video Quality","description":"The quality of the output video.","enum":["low","medium","high","maximum"],"type":"string"},"video_output_type":{"default":"X264 (.mp4)","title":"Video Output Type","description":"The format of the output video.","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"type":"string"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","type":"boolean"}}},"CosmosPredict25DistilledTextToVideoOutput":{"required":["video","seed"],"type":"object","title":"VideoOutput","x-fal-order-properties":["video","seed"],"properties":{"video":{"description":"The generated video file.","examples":[{"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/0a8fabc5/qAi19s0dSuQHDZ3O7D_HV_FkSwbls1.mp4"}],"$ref":"#/components/schemas/VideoFile"},"seed":{"title":"Seed","description":"The random seed used for generation.","type":"integer"}}},"VideoFile":{"required":["url"],"type":"object","title":"VideoFile","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"num_frames":{"title":"Num Frames","description":"The number of frames in the video","anyOf":[{"type":"integer"},{"type":"null"}]},"width":{"title":"Width","description":"The width of the video","anyOf":[{"type":"integer"},{"type":"null"}]},"duration":{"title":"Duration","description":"The duration of the video","anyOf":[{"type":"number"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"height":{"title":"Height","description":"The height of the video","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"fps":{"title":"Fps","description":"The FPS of the video","anyOf":[{"type":"number"},{"type":"null"}]}}}}},"paths":{"/fal-ai/cosmos-predict-2.5/distilled/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/distilled/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/cosmos-predict-2.5/distilled/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25DistilledTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/distilled/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25DistilledTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/cosmos-predict-2.5/text-to-video","metadata":{"display_name":"Cosmos Predict 2.5 2B","category":"text-to-video","description":"Generate video from text using NVIDIA's 2B Cosmos Post-Trained Model","status":"deprecated","tags":[],"updated_at":"2026-10-27T22:39:10.446Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8fccfa/eYc-U5ezUgUhzx9Bw5rTM_8167b40fbaa04a2594d281b7fffcea68.jpg","model_url":"https://fal.run/fal-ai/cosmos-predict-2.5/text-to-video","license_type":"commercial","date":"2026-02-24T19:58:26.642Z","group":{"key":"cosmos-2.5","label":"Text to Video"},"highlighted":false,"kind":"inference","duration_estimate":7,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/cosmos-predict-2.5/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/cosmos-predict-2.5/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/cosmos-predict-2.5/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8fccfa/eYc-U5ezUgUhzx9Bw5rTM_8167b40fbaa04a2594d281b7fffcea68.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/text-to-video/api","about":"Generate a video from a text prompt using Cosmos Predict 2.5 2B (post-trained)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"CosmosPredict25TextToVideoInput":{"required":["prompt"],"type":"object","title":"TextToVideoInput","x-fal-order-properties":["prompt","negative_prompt","num_frames","num_inference_steps","guidance_scale","seed","sync_mode","video_output_type","video_quality","enable_safety_checker"],"properties":{"negative_prompt":{"default":"The video captures a series of frames showing ugly scenes, static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, artifacting, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, visual noise, and flickering. Overall, the video is of poor quality.","title":"Negative Prompt","description":"A negative prompt to guide generation away from undesired content.","type":"string"},"num_frames":{"default":93,"title":"Number of Frames","maximum":93,"description":"Number of frames to generate. Must be between 9 and 93.","minimum":9,"type":"integer"},"prompt":{"title":"Prompt","description":"The text prompt describing the video to generate.","examples":["A static, locked-off camera frames an industrial conveyor belt steadily transporting rough rocks through a dimly lit quarry processing facility. The belt runs horizontally across the center of the frame, its thick black rubber surface textured with dust and fine gravel. Jagged gray and brown stones of varying sizes tumble forward in a slow, continuous motion, their sharp edges catching the light. Subtle vibrations ripple through the belt’s surface as small pebbles bounce and shift. In the background, blurred steel beams, pipes, and muted industrial machinery create depth without distraction. Cool, diffused overhead lighting casts soft shadows and highlights the gritty textures, emphasizing dust particles in the air and the raw, rugged surfaces of the rocks."],"type":"string"},"num_inference_steps":{"default":35,"title":"Number of Inference Steps","maximum":50,"description":"Number of denoising steps. More steps yield higher quality but take longer.","minimum":1,"type":"integer"},"sync_mode":{"default":false,"title":"Sync Mode","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean"},"seed":{"title":"Seed","description":"Random seed for reproducible generation.","anyOf":[{"type":"integer"},{"type":"null"}]},"video_quality":{"default":"high","title":"Video Quality","description":"The quality of the output video.","enum":["low","medium","high","maximum"],"type":"string"},"video_output_type":{"default":"X264 (.mp4)","title":"Video Output Type","description":"The format of the output video.","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"type":"string"},"guidance_scale":{"default":7,"title":"Guidance Scale","maximum":20,"description":"Classifier-free guidance scale. Higher values increase prompt adherence.","minimum":1,"type":"number"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","type":"boolean"}}},"CosmosPredict25TextToVideoOutput":{"required":["video","seed"],"type":"object","title":"VideoOutput","x-fal-order-properties":["video","seed"],"properties":{"video":{"description":"The generated video file.","examples":[{"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/0a8fabc5/qAi19s0dSuQHDZ3O7D_HV_FkSwbls1.mp4"}],"$ref":"#/components/schemas/VideoFile"},"seed":{"title":"Seed","description":"The random seed used for generation.","type":"integer"}}},"VideoFile":{"required":["url"],"type":"object","title":"VideoFile","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"num_frames":{"title":"Num Frames","description":"The number of frames in the video","anyOf":[{"type":"integer"},{"type":"null"}]},"width":{"title":"Width","description":"The width of the video","anyOf":[{"type":"integer"},{"type":"null"}]},"duration":{"title":"Duration","description":"The duration of the video","anyOf":[{"type":"number"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"height":{"title":"Height","description":"The height of the video","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"fps":{"title":"Fps","description":"The FPS of the video","anyOf":[{"type":"number"},{"type":"null"}]}}}}},"paths":{"/fal-ai/cosmos-predict-2.5/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/cosmos-predict-2.5/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/sana-video","metadata":{"display_name":"Sana Video","category":"text-to-video","description":"Leverage Sana's ultra-fast processing speed to generate high-quality assets that transform your text prompts into production-ready videos","status":"deprecated","tags":["text-to-video"],"updated_at":"2026-05-26T23:03:32.930Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/kangaroo/GCWRmD1TPULLBQ1NCWtwo_02d01a7c0e0b4e5f98c4ed4c18a9be72.jpg","model_url":"https://fal.run/fal-ai/sana-video","license_type":"commercial","date":"2025-11-07T12:31:32.230Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/krea-wan-14b/text-to-video","metadata":{"display_name":"Krea Wan 14b- Text to Video","category":"text-to-video","description":"Fast Text-to-Video endpoint for Krea's Wan 14b model.","status":"active","tags":["text to video","fast"],"updated_at":"2026-11-04T20:21:59.099Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/rabbit/n7SozOMd7d9UiTYhyZ4w3_99e21d49333f47b9be7e834d73a16d8a.jpg","model_url":"https://fal.run/fal-ai/krea-wan-14b/text-to-video","license_type":"commercial","date":"2025-10-20T17:24:26.630Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/krea-wan-14b/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/krea-wan-14b/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/krea-wan-14b/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/rabbit/n7SozOMd7d9UiTYhyZ4w3_99e21d49333f47b9be7e834d73a16d8a.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/krea-wan-14b/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/krea-wan-14b/text-to-video/api","about":"Text To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KreaWan14bTextToVideoInput":{"type":"object","x-fal-order-properties":["prompt","num_frames","enable_prompt_expansion","seed","enable_safety_checker"],"title":"TextToVideoInput","required":["prompt"],"properties":{"num_frames":{"maximum":162,"type":"integer","default":78,"title":"Num Frames","minimum":18,"description":"Number of frames to generate. Must be a multiple of 12 plus 6, for example 6, 18, 30, 42, etc."},"enable_safety_checker":{"type":"boolean","default":true,"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening."},"prompt":{"examples":["A powerful, matte black jeep, its robust frame contrasting with the lush green surroundings, navigates a winding jungle road, kicking up small clouds of dust and loose earth from its tires."],"type":"string","title":"Prompt","description":"Prompt for the video-to-video generation."},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Seed for the video-to-video generation."},"enable_prompt_expansion":{"examples":[true],"type":"boolean","default":false,"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning."}}},"KreaWan14bTextToVideoOutput":{"type":"object","x-fal-order-properties":["video"],"title":"VideoToVideoOutput","required":["video"],"properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/krea_wan_14b_v2v_output.mp4"}],"description":"The generated video file.","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."}}}}},"paths":{"/fal-ai/krea-wan-14b/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/krea-wan-14b/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/krea-wan-14b/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KreaWan14bTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/krea-wan-14b/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KreaWan14bTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-alpha","metadata":{"display_name":"Wan Alpha","category":"text-to-video","description":"Generate videos with transparent backgrounds","status":"deprecated","tags":["transparent","alpha"],"updated_at":"2026-11-04T20:21:59.054Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/lion/3oIcvX_9oIQh2cDai8geS_59a419be75fb46c5bd8094bb50e9cabf.jpg","model_url":"https://fal.run/fal-ai/wan-alpha","license_type":"commercial","date":"2025-10-16T02:14:54.924Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/sora-2/text-to-video/pro","metadata":{"display_name":"Sora 2","category":"text-to-video","description":"Text-to-video endpoint for Sora 2 Pro, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.","status":"deprecated","tags":["text-to-video","audio","sora-2-pro"],"updated_at":"2026-07-08T16:54:26.321Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/lion/0bXyMS_zSKpeaG3LM6ARv_d4ee6acbfd9a4168b012a848c33b154d.jpg","model_url":"https://fal.run/fal-ai/sora-2/text-to-video/pro","license_type":"commercial","date":"2025-10-06T21:56:38.344Z","group":{"key":"sora-2","label":"Text to Video (Pro)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/sora-2/text-to-video","metadata":{"display_name":"Sora 2","category":"text-to-video","description":"Text-to-video endpoint for Sora 2, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.","status":"deprecated","tags":["text to video","audio","sora"],"updated_at":"2026-07-08T16:54:18.349Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/penguin/eOGowiQKXIKwyDfwgeWQO_b80784431c524553a564ebdd7550d7e6.jpg","model_url":"https://fal.run/fal-ai/sora-2/text-to-video","license_type":"commercial","date":"2025-10-06T19:34:55.710Z","group":{"key":"sora-2","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}}],"next_cursor":"MTM","has_more":true}
